### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
LmVolatilityModel Class Reference

caplet volatility model More...

`#include <ql/legacy/libormarketmodels/lmvolmodel.hpp>`

Inheritance diagram for LmVolatilityModel:
[legend]

List of all members.

## Public Member Functions

| LmVolatilityModel (Size size, Size nArguments)
Size | size () const
std::vector< Parameter > & | params ()
void | setParams (const std::vector< Parameter > &arguments)
virtual Disposable< Array > | volatility (Time t, const Array &x=Null< Array >()) const =0
virtual Volatility | volatility (Size i, Time t, const Array &x=Null< Array >()) const
virtual Real | integratedVariance (Size i, Size j, Time u, const Array &x=Null< Array >()) const

## Protected Attributes

const Size | size_
std::vector< Parameter > | arguments_

## Detailed Description

caplet volatility model